Source: https://fyno.docs.pageloop.ai/api-reference/suppression-list/delete-wsid-suppressions

# Delete User from Suppression List

DELETE `https://api.fyno.io/v1/{WSID}/suppressions`

Delete a suppression entry using its `_id`, `distinct_id`, `destination`.

**Note:** If all three values (`distinct_id`, `destination`, `_id`) are provided, `_id` takes precedence followed by `distinct_id`.

## Authorization

#### Authorization (header, string, required)

Enter your API Key. If you don't have it already, you can create one from the API Keys page within your Fyno account

## Path Parameters

#### WSID (path, string, required)

Enter your workspace ID. You can obtain this value from the API Keys page within your Fyno account.

## Query Parameters

#### \_id (query, string)

Unique identifier of the suppression record to delete.

#### distinct\_id (query, string)

Unique identifier (used as an alternative to destination)

#### destination (query, string)

Phone number or email of the suppressed user

## Response

#### 200

Suppression list updated.

#### status (string)

#### \_message (string)

#### 400

The provided `_id` does not exist.

#### status (string)

#### \_message (string)

#### 401

API Key or Workspace ID is invalid. User is unauthorised.

#### \_message (string, required)

#### status (string, required)

#### Request

```bash cURL
curl -X DELETE 'https://api.fyno.io/v1/{WSID}/suppressions' \
  -H 'Authorization: Bearer <token>'
```

```javascript JavaScript
const res = await fetch('https://api.fyno.io/v1/{WSID}/suppressions', {
  method: 'DELETE',
  headers: {
    'Authorization': 'Bearer <token>',
  },
});
const data = await res.json();
```

```python Python
import requests

res = requests.delete(
    'https://api.fyno.io/v1/{WSID}/suppressions',
    headers={'Authorization': 'Bearer <token>'}
)
data = res.json()
```

#### Response

```json 200
{
  "status": "ok",
  "_message": "1 record(s) has been deleted!"
}
```

```json 400
{
  "status": "error",
  "_message": "Unable to delete non existing data!"
}
```

```json 401
{
  "_message": "Invalid API details",
  "status": "error"
}
```
